---
title: Drupal ECA Documentation
---
# Welcome to Drupal ECA

ECA stands for **Events - Conditions - Actions**.

It's a [Drupal](https://www.drupal.org) module and has its own [project page](https://www.drupal.org/project/eca). This
**ECA Guide** is provided by the ECA maintainers, you can contact them on their user profile on drupal.org or in the
[ECA Slack Channel](https://drupal.slack.com/archives/C0287U62CSG).

## The 5 sections of this guide

### ECA

[All about the ECA](/index.md) module, [how to install](eca/install.md) it, [important concepts](eca/concepts/index.md) to understand
how ECA works and instructions on [how to extend ECA](eca/extend/index.md).

Important building blocks of ECA are the plugins for events, conditions and actions. Those are contained in their own
section for [plugins](#plugins)

The ECA module is the heart of the module suite. Whenever a Drupal event
occurs, it processes any (business process) model defined for that event.

ECA leverages existing components of Drupal core, i.e. events and actions,
and provides its own plugin manager for conditions. Hence all 3 components
(events, conditions, actions) are implemented as plugins and may be easily
extended by other modules.

!!! attention

    The ECA module does not provide any user interface to define models. Instead,
    it provides a modeller plugin manager to easily integrate existing tools.
    If a modeller supports templates for events, conditions and actions,
    ECA will provide them for all the plugins that are available on a Drupal site.

### Modellers

[Modellers](modeller/index.md) are the UI for ECA. They are described in this chapter.

### Plugins

Each event, each condition and each action is available as a [plugin](plugins/index.md). This chapter contains documentation
for each of them and how they can be configured. 

### Library

This is where you can find [example ECA models](library/index.md).

### Resources

Articles, blog posts, tutorials, videos and so much more - all learning resources in one place.

## How to contribute

Found a typo? Want to write some chapters for this guide? Have an example model you want to publish? Wrote your own ECA
plugins? Or you just want to provide feedback? This is all very welcome. To do so, please create an account in the
[ECA Guide GitLab](https://gitlab.lakedrops.com) and then go to the [ECA Guide Project](https://gitlab.lakedrops.com/drupal/documentation/eca)
where you can either open an issue or fork the project and then create a merge request.

We use British English in this guide.
