---
title: "Entity: set field value"
tags:
- action
- eca_content
- eca action 1.0.0
---
# Entity: set field value

Available since: 1.0.0

Allows to set, unset or change the value(s) of any field in an entity.

{!include/plugins/eca_content/action/eca_set_field_value.md!}

## Fields

`Field name`

:   The machine name of the field, that should be changed. Example: <em>body.value</em><br/>This field supports tokens.

    {!include/plugins/eca_content/action/eca_set_field_value/field_name.md!}

`Field value`

:   The new field value.<br/>This field supports tokens.

    {!include/plugins/eca_content/action/eca_set_field_value/field_value.md!}

`Method`

:   The method to set an entity, like cleaning the old one, etc..<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_set_field_value_method</em>

    {!include/plugins/eca_content/action/eca_set_field_value/method.md!}

`Strip tags`

:   Remove the tags or not.

    {!include/plugins/eca_content/action/eca_set_field_value/strip_tags.md!}

`Trim`

:   Trims the field value or not.

    {!include/plugins/eca_content/action/eca_set_field_value/trim.md!}

`Save entity`

:   Saves the entity or not after setting the value.

    {!include/plugins/eca_content/action/eca_set_field_value/save_entity.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_set_field_value/object.md!}
