---
title: "Trigger a custom event (entity-aware)"
tags:
- action
- eca_content
- eca action 1.0.0
---
# Trigger a custom event (entity-aware)

Available since: 1.0.0

Triggers a custom event which is entity aware.

{!include/plugins/eca_content/action/eca_trigger_content_entity_custom_event.md!}

## Fields

`Event ID`

:   The ID of the event. Leave empty to trigger all custom events.

    {!include/plugins/eca_content/action/eca_trigger_content_entity_custom_event/event_id.md!}

`Tokens to forward`

:   Comma separated list of token names from the current context, that will be forwarded to the triggered event. These tokens are then also available for subsequent conditions and actions within the current process.

    {!include/plugins/eca_content/action/eca_trigger_content_entity_custom_event/tokens.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_trigger_content_entity_custom_event/object.md!}
