---
title: "Form field: add state"
tags:
- action
- eca_form
- eca action 2.1.0
---
# Form field: add state

Available since: 2.1.0

Add JavaScript state to a form field or element.

{!include/plugins/eca_form/action/eca_form_field_add_state.md!}

## Fields

`Selector`

:   The JQuery selector for the remote element controlling the state of this field.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_add_state/selector.md!}

`State`

:   The state of this field that should be controlled by the remote element.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_field_add_state_state</em>

    {!include/plugins/eca_form/action/eca_form_field_add_state/state.md!}

`Condition`

:   The condition of the remote element controlling the state of this field.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_field_add_state_condition</em>

    {!include/plugins/eca_form/action/eca_form_field_add_state/condition.md!}

`Value`

:   The value for the condition. This is only required if "value" is selected as the condition.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_add_state/value.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_add_state/field_name.md!}
