---
title: "Form state: set property value"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form state: set property value

Available since: 1.0.0

Sets a property value on the current form state in scope, which can be used on validation and submission.

{!include/plugins/eca_form/action/eca_form_state_set_property_value.md!}

## Fields

`Value of the property`

:   The value of the property to be set.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_state_set_property_value/property_value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this options needs to be enabled.

    {!include/plugins/eca_form/action/eca_form_state_set_property_value/use_yaml.md!}

`Name of property`

:   Nested properties are supported by using dot notation. Example: <em>level1.level2</em>

    {!include/plugins/eca_form/action/eca_form_state_set_property_value/property_name.md!}
