---
title: "VBO: Form submit of Views bulk operation"
tags:
- event
- eca_vbo
- eca_vbo event 1.0.0
---
# VBO: Form submit of Views bulk operation

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[form]` | The current form.<br /> Alias: `current_form` |
    | `[form:id]` | The form ID. |
    | `[form:base_id]` | The form base ID. |
    | `[form:operation]` | The form operation. |
    | `[form:mode]` | The form mode. |
    | `[form:triggered]` | The form field name that triggered the form event. |
    | `[form:values]` |  |
    | `[form:values:FIELD_NAME]` | The field value for each of the named fields. |
    | `[form:num_errors]` | The number of form errors. |
    | `[event]` | The event. |
    | `[event:view]` | The view config entity. |
    | `[event:view:id]` | The view ID. |
    | `[event:view:display_id]` | The display ID. |
    | `[event:action]` | The action plugin. |
    | `[event:action:plugin]` | The ID of the action plugin. |
    | `[event:action:config]` | An array with key value pairs of the configuration of the plugin. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_vbo/event/vbo_form_submit.md!}

## Fields

`Operation name`

:   

    {!include/plugins/eca_vbo/event/vbo_form_submit/operation_name.md!}

`Optionally restrict by view ID`

:   

    {!include/plugins/eca_vbo/event/vbo_form_submit/view_id.md!}

`Optionally restrict by view display ID`

:   

    {!include/plugins/eca_vbo/event/vbo_form_submit/display_id.md!}
