---
title: "Workflow: state transition"
tags:
- event
- eca_workflow
- eca event 1.0.0
---
# Workflow: state transition

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[from_state]` | The source workflow state of the entity. |
    | `[to_state]` | The destination workflow state of the entity. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_workflow/event/workflow_transition.md!}

## Fields

`Type (and bundle)`

:   

    {!include/plugins/eca_workflow/event/workflow_transition/type.md!}

`From state`

:   Optionally restrict to the machine name of the previous state.

    {!include/plugins/eca_workflow/event/workflow_transition/from_state.md!}

`To state`

:   Optionally restrict to the machine name of the new state.

    {!include/plugins/eca_workflow/event/workflow_transition/to_state.md!}
